require "utility"
local ae = require "apolloengine"
local mf = require "mathfunction"
local bloomEffect_v2_lq = require "apolloengine.posteffect.advancedbloom_v2"

local bloomEffect_v2_hq = {}
bloomEffect_v2_hq.queue = 100
setmetatable(bloomEffect_v2_hq, {__index = bloomEffect_v2_lq});


function bloomEffect_v2_hq:Initialize(host, size)
  bloomEffect_v2_lq.factor = 2;
  bloomEffect_v2_lq.Initialize(self, host, size);
  return self.queue;
end

function bloomEffect_v2_hq:Process(context, Original, Scene, Output)
  bloomEffect_v2_lq.Process(self, context, Original, Scene, Output);
end

return bloomEffect_v2_hq;