require "utility"
local ae = require "apolloengine"
local mf = require "mathfunction"

local gamma_correction = {}
gamma_correction.queue = 312;
gamma_correction.material = 0;
gamma_correction.renderObj = 0;

function gamma_correction:Initialize(host, size)
  
  self.material = host:CreateMaterial("comm:documents/shaders/posteffect/gammacorrection.material");
  self.renderObj = host:CreateRenderObject();
    
  return self.queue;
end

function gamma_correction:Resizeview(size)
end

function gamma_correction:Process(context, Original, Scene, Output)
  context:BeginRenderPass(Output, ae.RenderTargetEntity.CF_COLOR);  
  self.material:SetParameter(
          "_MainTex",
          Scene:GetAttachment(ae.RenderTargetEntity.TA_COLOR_0));
  context:Draw(self.renderObj, self.material);
  context:EndRenderPass();
end

return gamma_correction;