local venuscore = require "venuscore"
if _KRATOSEDITOR then
  local path = venuscore.IFileSystem:PathAssembly("scrs:fakelikeapp.lua");
  local f = loadfile(path);
  package.preload["likeapp"] = f
elseif _PLATFORM_WINDOWS or _PLATFORM_MACOS then
  local vd = require"videodecet.windowsvideodetect_camera" 
  if vd:TryOpenCamera() then
    return vd;
  end 
  return require"videodecet.windowsvideodetect_file"

elseif _PLATFORM_ANDROID then
  return require"videodecet.androidvideodetect"
elseif _PLATFORM_IOS then
  return require"videodecet.androidvideodetect"
end



local isPlay = false;
if _KRATOSEDITOR then
  local EditorSystem = require "window.editor.system.editsystem"
  isPlay = EditorSystem:IsPlay();
end

if _KRATOSEDITOR and isPlay == false then
  return require"videodecet.previewvideodetect"
else
  if _PLATFORM_WINDOWS or _PLATFORM_MACOS then
    local vd = require"videodecet.windowsvideodetect_camera" 
    if vd:TryOpenCamera() then
      return vd;
    end
    return require"videodecet.windowsvideodetect_file"
      --return require"videodecet.windowsvideodetect_body"
  elseif _PLATFORM_ANDROID then
    return require"videodecet.androidvideodetect"
  elseif _PLATFORM_IOS then
    return require"videodecet.androidvideodetect"
  end
end





  